com.streambase.sb.operator.parameter

## Enum ResourceFilePropertyDescriptor.TypeHint

- java.lang.Object
- - java.lang.Enum<ResourceFilePropertyDescriptor.TypeHint>
  - - com.streambase.sb.operator.parameter.ResourceFilePropertyDescriptor.TypeHint

- All Implemented Interfaces:
    Serializable, Comparable<ResourceFilePropertyDescriptor.TypeHint>
  Enclosing class:
    ResourceFilePropertyDescriptor

      public static enum ResourceFilePropertyDescriptor.TypeHint
      extends Enum<ResourceFilePropertyDescriptor.TypeHint>

  Since:
    7.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIRECTORY` Studio will display a directory chooser when the user wishes to select a resource.
    `FILE` Studio will display a file chooser when the user wishes to select a resource

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceFilePropertyDescriptor.TypeHint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceFilePropertyDescriptor.TypeHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final ResourceFilePropertyDescriptor.TypeHint FILE

      Studio will display a file chooser when the user wishes to select a resource

    - #### DIRECTORY

          public static final ResourceFilePropertyDescriptor.TypeHint DIRECTORY

      Studio will display a directory chooser when the user wishes to select a resource. Note that the `Operator.getResourceContents(String)` is not to be used on directory resources.

  - ### Method Detail

    - #### values

          public static ResourceFilePropertyDescriptor.TypeHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceFilePropertyDescriptor.TypeHint c : ResourceFilePropertyDescriptor.TypeHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceFilePropertyDescriptor.TypeHint valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.